org.apache.lucene.search.grouping.term

## Class TermSecondPassGroupingCollector

- java.lang.Object
- - org.apache.lucene.search.Collector
  - - org.apache.lucene.search.grouping.AbstractSecondPassGroupingCollector<BytesRef>
    - - org.apache.lucene.search.grouping.term.TermSecondPassGroupingCollector

    public class TermSecondPassGroupingCollector
    extends AbstractSecondPassGroupingCollector<BytesRef>

Concrete implementation of `AbstractSecondPassGroupingCollector` that groups based on field values and more specifically uses `SortedDocValues` to collect grouped docs.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.grouping.AbstractSecondPassGroupingCollector

`AbstractSecondPassGroupingCollector.SearchGroupDocs<GROUP_VALUE_TYPE>`

### Field Summary

### Fields inherited from class org.apache.lucene.search.grouping.AbstractSecondPassGroupingCollector

`groupDocs, groupMap`

### Constructor Summary

Constructors
Constructor and Description
`TermSecondPassGroupingCollector(String groupField, Collection<SearchGroup<BytesRef>> groups, Sort groupSort, Sort withinGroupSort, int maxDocsPerGroup, boolean getScores, boolean getMaxScores, boolean fillSortFields)`

### Method Summary

Methods
`protected AbstractSecondPassGroupingCollector.SearchGroupDocs<BytesRef>` `retrieveGroup(int doc)` Returns the group the specified doc belongs to or `null` if no group could be retrieved.
`void` `setNextReader(AtomicReaderContext readerContext)`

### Methods inherited from class org.apache.lucene.search.grouping.AbstractSecondPassGroupingCollector

`acceptsDocsOutOfOrder, collect, getTopGroups, setScorer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TermSecondPassGroupingCollector

    public TermSecondPassGroupingCollector(String groupField,
                                   Collection<SearchGroup<BytesRef>> groups,
                                   Sort groupSort,
                                   Sort withinGroupSort,
                                   int maxDocsPerGroup,
                                   boolean getScores,
                                   boolean getMaxScores,
                                   boolean fillSortFields)
                                    throws IOException

Throws:
  `IOException`

### Method Detail

#### setNextReader

    public void setNextReader(AtomicReaderContext readerContext)
                       throws IOException

Overrides:
  `setNextReader` in class `AbstractSecondPassGroupingCollector<BytesRef>`
Throws:
  `IOException`

#### retrieveGroup

    protected AbstractSecondPassGroupingCollector.SearchGroupDocs<BytesRef> retrieveGroup(int doc)
                                                                                   throws IOException

Description copied from class: `AbstractSecondPassGroupingCollector`
Returns the group the specified doc belongs to or `null` if no group could be retrieved.

Specified by:
  `retrieveGroup` in class `AbstractSecondPassGroupingCollector<BytesRef>`
Parameters:
  `doc` - The specified doc
Returns:
  the group the specified doc belongs to or `null` if no group could be retrieved
Throws:
  `IOException` - If an I/O related error occurred